Đến nội dung


Hình ảnh
- - - - -

tim list tính diện tích theo 2 tỷ lệ X Y khác nhau


  • Please log in to reply
22 replies to this topic

#21 q288

q288

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 209 Bài viết
Điểm đánh giá: 164 (tàm tạm)

Đã gửi 31 July 2009 - 07:34 AM

Không ý của mình như thế này bạn chọn liên tục vùng kín sau khi chọn xong tất cả các vùng kín click chuot phải pick ra kết quả luôn trên hình, chứ ko phải pick hình nào ra kết quả hình đó, mong ban hồi âm sớm thanks


Bạn làm như bạn Tuệ hướng dẫn là đúng ý bạn rồi.
  • 0

#22 hoangkimanh1607

hoangkimanh1607

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 July 2009 - 08:31 AM

Tue_NV thấy cái này cũng đơn giản mà. Bạn nên tìm tòi để có thể sửa được cái đơn giản nhất :
Bỏ dòng :
(entmakex (list '(0 . "TEXT") (cons 40 caot) (cons 10 p) (cons 1 chu)))))

Nhưng đừng bỏ 2 dấu móc ở cuối nhé. 2 dấu này )) giữ lại

thanks ban hen mình cũng ko rành ve lít lắm,nên nhờ các bác phụ mình,chúc moi nguoi lam tot
  • 0

#23 trinhtuankx

trinhtuankx

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 August 2012 - 05:04 PM

Bạn thử cái này xem. Khi nhập tỷ lệ chỉ nhập 100, 200.. ko nhập 1/100, 1/200.
Kết quả đưa ra file ketqua.txt trong cùng thư mục với file cad.
Chú ý vì lệnh boundary chỉ làm đc với đa giác kín và zoom cho thấy đủ đa giác đó (trong tầm nhìn).
Có vòng lặp cho nên nếu muốn thoát thì enter.

(defun c:dth()  (vl-load-com)  (setvar "cmdecho" 0)    (if (not tln) (setq tln 100))  (if (not tld) (setq tld 100))  (if (not caot) (setq caot 1))  (setq tln1 (getreal (strcat "\nCho ty le ngang < 1/" (rtos tln 2 0) " >: 1/"))	tld1 (getreal (strcat "\nCho ty le dung < 1/" (rtos tld 2 0) " >: 1/"))	caot1 (getreal (strcat "\nCao text < " (rtos caot 2 0) " >: ")))  (if tln1 (setq tln tln1))  (if tld1 (setq tld tld1))  (if caot1 (setq caot caot1))    (setq heso (/ tld tln)	file (open (strcat (getvar "dwgprefix") "Ketqua.txt") "a")	p (getpoint "\nPick a internal point:")	el (entlast))    (while p	    	(command "boundary" p "")    (if (not (equal el (setq el1 (entlast))))      (progn     	(write-line (setq chu (rtos (* heso (vla-get-Area (vlax-ename->vla-object el1))))) file)	(entdel el1)	(entmakex (list '(0 . "TEXT") (cons 40 caot) (cons 10 p) (cons 1 chu))) ))          (setq p (getpoint "\nPick a internal point:"))  )  (close file)  (setvar "cmdecho" 1)  (princ))


Cái này bạn thay đổi tỷ lệ thì kết quả không thay đổi.
  • 0